Skip to main content
`Ctrl`+`K`

# param_type Class Reference

API library: rocrand_cpp::poisson_distribution< IntType >::param_type Class Reference
Public Types | Public Member Functions | List of all members
rocrand_cpp::poisson_distribution< IntType >::param_type Class Reference

The type of the distribution parameter set. More...

`#include <rocrand.hpp>`

## Public Types

using | distribution_type = poisson_distribution<IntType>
| Alias for convenience.

## Public Member Functions

| param_type (double mean=1.0)
| Constructs a `param_type` object with the given mean.
| param_type (const param_type &params)=default
| Copy constructor.
param_type & | operator= (const param_type &params)=default
| Copy assignment operator.
double | mean () const
| Returns the mean distribution parameter.
bool | operator== (const param_type &other) const
| Returns `true` if the param_type is the same as `other`.
bool | operator!= (const param_type &other) const
| Returns `true` if the param_type is different from `other`.

## Detailed Description

template<class IntType = unsigned int>
class rocrand_cpp::poisson_distribution< IntType >::param_type

The type of the distribution parameter set.

## Constructor & Destructor Documentation

## ◆ param_type()

template<class IntType = unsigned int>

rocrand_cpp::poisson_distribution< IntType >::param_type::param_type | ( | double | mean = 1.0 | ) |

inline

Constructs a `param_type` object with the given mean.

Parameters

  mean | mean to use for the distribution

## Member Function Documentation

## ◆ mean()

template<class IntType = unsigned int>

double rocrand_cpp::poisson_distribution< IntType >::param_type::mean | ( |  | ) | const

inline

Returns the mean distribution parameter.

The mean (also known as lambda) is the average number of events per interval. The default value is 1.0.

The documentation for this class was generated from the following file:

- /build/rocrand-cWAlCE/rocrand-7.2.4/library/include/rocrand/rocrand.hpp